Package com.avaya.clientservices.call.feature

## Enum FeatureStatus

- java.lang.Object
- - java.lang.Enum<FeatureStatus>
  - - com.avaya.clientservices.call.feature.FeatureStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FeatureStatus>`

      public enum FeatureStatus
      extends java.lang.Enum<FeatureStatus>

  The feature status values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALERTING` | The feature status ALERTING.
    `OFF` | The feature status OFF.
    `ON` | The feature status ON.
    `UNDEFINED` | Undefined feature status.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FeatureStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FeatureStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final FeatureStatus UNDEFINED

      Undefined feature status.

    - #### ON

          public static final FeatureStatus ON

      The feature status ON.

    - #### OFF

          public static final FeatureStatus OFF

      The feature status OFF.

    - #### ALERTING

          public static final FeatureStatus ALERTING

      The feature status ALERTING.

  - ### Method Detail

    - #### values

          public static FeatureStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeatureStatus c : FeatureStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeatureStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null